# ============================================================
# WolfStack Keepalived — TERTIARY (Node 3 / artemis)
# Host: 192.168.15.182
# VIP : 192.168.63.254
# Interface: nic0
# ============================================================

global_defs {
    router_id WOLFSTACK_NODE3
    script_security
    enable_script_security
}

vrrp_script check_wolfstack {
    script "/usr/bin/nc -z -w 2 127.0.0.1 8553"
    interval 2
    timeout 3
    fall 3
    rise 2
    weight -40
}

vrrp_instance VI_WOLFSTACK {
    state BACKUP
    interface nic0
    virtual_router_id 63
    priority 110
    advert_int 1
    nopreempt

    authentication {
        auth_type PASS
        auth_pass Letmein1$
    }

    unicast_peer {
        192.168.50.41
        192.168.5.214
    }

    virtual_ipaddress {
        192.168.63.254
    }

    track_script {
        check_wolfstack
    }
}
